Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358727 - image upload - no validation for file selection
Summary: image upload - no validation for file selection
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.0.2
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.2
: 4.0.2.1
Assignee: Daniel Erez
QA Contact: Natalie Gavrielov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-21 11:39 UTC by Daniel Erez
Modified: 2016-08-12 14:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:25:44 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: planning_ack+
amureini: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61177 master MERGED webadmin: upload image - validate image selection 2016-07-21 13:38:34 UTC
oVirt gerrit 61194 ovirt-engine-4.0 MERGED webadmin: upload image - validate image selection 2016-07-25 11:18:02 UTC
oVirt gerrit 61196 ovirt-engine-4.0.2 MERGED webadmin: upload image - validate image selection 2016-07-25 11:14:30 UTC

Description Daniel Erez 2016-07-21 11:39:26 UTC
Description of problem:
On 'Image Upload' dialog, when no file is selected, there's no validation and indication upon pressing the OK button.

How reproducible:
100%

Steps to Reproduce:
1. Open 'Image Upload' dialog
2. Press OK
3.

Actual results:
No error message or any indication.

Expected results:
A proper message that a file should be selected.

Additional info:

Comment 1 Natalie Gavrielov 2016-08-02 13:11:01 UTC
Now getting a message saying: "Please choose a file to upload"
Verified:
rhevm-4.0.2.3-0.1.el7ev.noarch
ovirt-imageio-proxy-0.3.0-0.el7ev.noarch
ovirt-imageio-common-0.3.0-0.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.